%Dvostruko obrnuto njihalo
% m0-Masa kolica
% m1-Masa lanka 1
% m2-Masa lanka 2
% l1-duljina  1
% l2-duljina  2
% d0, d1 i d2 su koeficijenti trenja
% J1 i J2 su momenti tromosti njihala

%%%%%%%%%%%%% PARAMETRI %%%%%%%%%%%%%%%%%

m0=0.3;
m1=0.275;
m2=0.275;
l1=0.5;
l2=0.5;
d0=0.3;
d1=0.1;
d2=0.1;
J1=(1/3) * (m1*l1^2);
J2=(1/3)*(m2*l2^2);

%%%%%%%%%% PARAMETRI MOTORA %%%%%%%%%%%

kg=1.5;
km=0.45;
Ra=4.03;
r=0.5;


%%%% POKRETANJE SIMULACIJE DC %%%%

sim model_obrnuto_njihalo

%%%%%%%%%%%%%% CRTANJE %%%%%%%%%%%%%%%%%

subplot(3,1,1);
plot(Pomak_kolica_Theta,'r'); title('Pomak kolica '); xlabel('Vrijeme [s]');ylabel('Pomak [m]');
grid on;
subplot(3,1,2);
plot((Theta1_kut*180)/pi,'b'); title('Promjena kuta prvog lanka '); xlabel('Vrijeme [s]'); ylabel('Kut theta1 [deg]');
grid on;
subplot(3,1,3);
plot((Theta2_kut*180)/pi, 'g'); title('Promjena kuta drugog lanka '); xlabel('Vrijeme [s]'); ylabel('Kut theta2 [deg]');
grid on;

%%%% POKRETANJE SIMULACIJE SILA- STEP %%%%
sim model_obrnuto_njihalo_sila

%%%%%%%%%%%%%% CRTANJE %%%%%%%%%%%%%%%%%
figure;
subplot(3,1,1);
plot(Pomak_kolica_Theta0,'r'); title('Pomak kolica '); xlabel('Vrijeme [s]');ylabel('Pomak [m]');
grid on;
subplot(3,1,2);
plot((Theta1_kut1*180)/pi,'b'); title('Promjena kuta prvog lanka '); xlabel('Vrijeme [s]'); ylabel('Kut theta1 [deg]');
grid on;
subplot(3,1,3);
plot((Theta2_kut2*180)/pi, 'g'); title('Promjena kuta drugog lanka '); xlabel('Vrijeme [s]'); ylabel('Kut theta2 [deg]');
grid on;
%%%% POKRETANJE SIMULACIJE LIN MODELA %%%%%

sim lin_model_ZR180

%%%%%%%%%%%%%% CRTANJE %%%%%%%%%%%%%%%%%
figure;

subplot(3,1,1); 
plot(deltaTheta0_lin,'r'); title('Pomak kolica - linearni model'); xlabel('Vrijeme [s]');ylabel('Pomak [m]');
grid on;
subplot(3,1,2);
plot((deltaTheta1_lin*180)/pi,'b'); title('Promjena kuta prvog lanka - linearni model'); xlabel('Vrijeme [s]'); ylabel('Kut theta1 [deg]');
grid on;
subplot(3,1,3);
plot((deltaTheta2_lin*180)/pi, 'g'); title('Promjena kuta drugog lanka - linearni model'); xlabel('Vrijeme [s]'); ylabel('Kut theta2 [deg]');
grid on;
